Page MenuHomePhabricator

Run Kasocki tests in Jenkins via Differential commits
Closed, ResolvedPublic8 Estimate Story Points

Event Timeline

Ottomata created this task.Sep 8 2016, 10:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 8 2016, 10:01 PM

What test's would you like run?

mocha or maybe better, npm test

Yep, we can do npm test, but just to let you know jenkins is currently broken in differential due to arc is not properly supported in nodepool due to it needing a token and we carnt disclouse that token to the public. But what we can do is setup it so it uses the Jessie instances instead of nodepool

it should now be set up to run npm test

@Ottomata: running npm test locally on a checkout of this repo throws a bunch of errors. It wants me to set KAFKA_HOME to a kafka install. If tests have dependencies then we need to figure out how to be sure those are resolved before CI will work.

How about using Travis for now since the repo is on GitHub?

@mobrovac I think that is the status quo for now. This task, however, is about differential & jenkins.

Yeah, npm test 'works' in travis now because .travis.yml sets up the KAFKA_HOME biznazz. Will have to do something similar for Jenkins.

Nuria moved this task from Incoming to Backlog (Later) on the Analytics board.Sep 12 2016, 3:41 PM
Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.
Ottomata changed the point value for this task from 0 to 8.
Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.Sep 14 2016, 7:32 PM
Nuria closed this task as Resolved.Sep 19 2016, 3:10 PM